declare type LogInfo = {
    prefix: string;
    msg: string;
    data: any;
    desc: string;
};
declare type CreateLoggerOptions = {
    onBefore?: (logInfo: LogInfo) => void;
    onAfter?: (logInfo: LogInfo) => void;
    prefix?: (() => string) | string;
    logColor?: LogColor;
    enableLog?: boolean | ((logInfo: LogInfo) => boolean);
};
declare type LogColor = {
    info?: string;
    warn?: string;
    error?: string;
    log?: string;
};
declare type logFn = (msg: string, data?: any) => {};
export interface HyextLogger {
    info: logFn;
    warn: logFn;
    error: logFn;
    log: logFn;
}
export declare const createLogger: (options: CreateLoggerOptions) => HyextLogger;
export {};
